@Echo off
:: CB 2014-03-18
Echo Erstellen eines Backups der ASV-Datenbank

Echo =========================================

ECHO        (getestet fuer Windows 8)
:: Das Backup wird tglich um 18:00 Uhr erstellt ber die
:: Systemsteuerung/Verwaltung/Aufgabenplanung. Hier muss
:: auch der Speicherort dieser Batch-Datei angegeben werden.
Echo.



:: Gundeinstellungen
:: =================


:: Zielverzeichnis der ASV-Backups (ohne \ am Ende)

set ziel=X:\ASV-Backups

:: Standardverzeichnisse fr pg_dump.exe unter Windows

:: (Bitte berprfen und nach jedem Versionsupdate von PostgreSQL anpassen.)

:: Der Ordner Programme ab WIN7 lautet im Pfad Program Files

:: Wegen des Leerzeichens muss der Pfad in Anfhrungszeichen stehen!
set pgdumpProgramm="C:\Program Files\PostgreSQL\9.2\bin\pg_dump.exe"



:: Passwort der ASV-Datenbank in PGAdmin:
set PGPASSWORD=xxxxxx


:: Ausgabeformat der Sicherungsdatei
set backup=PGAdmin_asv_20%date:~8,2%-%date:~3,2%-%date:~0,2%.backup


:: Sicherungsvorgang
:: =================

IF Exist %ziel%/nul (

    GOTO speichern

) ELSE (

    Echo Das Zielverzeichnis '%ziel%' existiert nicht.

    Echo Es wurde NICHTS gespeichert.

    Echo.
    GOTO Ende

)



:speichern


IF Exist %pgdumpProgramm% (

  
    Echo Start des Backups unter Windows

                 %pgdumpProgramm% -U asv -Fc -f %ziel%\%backup%

)



set PGPASSWORD=null


Echo.

Echo Backup-Vorgang abgeschlossen.

Echo.

Echo Der Name und der Pfad der Sicherungsdatei lautet:

Echo %ziel%\%backup%
Echo.



:Ende



:: Bei automatischer Sicherung ber die Systemsteuerung/Verwaltung/Aufgabenplanung
:: sollte die Pausefunktion am Ende des Sicherungsvorgangs ausgeschaltet sein.
:: Bei manueller Sicherung bitte die REM :: vor pause entfernen!
:: pause